/*--------------------------------------------------------------------------------------------------
    Copyright       :           Copyright ABB, 2008.
                                All rights reserved. Reproduction, modification,
                                use or disclosure to third parties without express
                                authority is forbidden.


 * File				:			1a9b00_enums.h
 * DDl File         :           1a9b00.ddl                
                                        
*********************************************************************************/



#define ALL_SENSORS1 \
	{ 1, RTD_0_500_OHM}, \
	{ 2, RTD_0_5000_OHM}, \
	{ 11, RTD_PT50__IEC751}, \
	{ 12, RTD_PT100__IEC751}, \
	{ 13, RTD_PT200__IEC751}, \
	{ 14, RTD_PT500__IEC751}, \
	{ 15, RTD_PT1000__IEC751}, \
	{ 21, RTD_PT50__JIS1604}, \
	{ 22, RTD_PT100__JIS1604}, \
	{ 31, RTD_PT50__MIL24388}, \
	{ 32, RTD_PT100__MIL24388}, \
	{ 33, RTD_PT200__MIL24388}, \
	{ 35, RTD_PT1000__MIL24388}, \
	{ 71, RTD_NI50__DIN43760}, \
	{ 72, RTD_NI100__DIN43760}, \
	{ 73, RTD_NI120__DIN43760}, \
	{ 74, RTD_NI1000__DIN43760}, \
	{ 81, RTD_CU10__A_4270}, \
	{ 82, RTD_CU100__A_4270}, \
	{ 100, RTD_PT10__IEC751}, \
	{ 103, RTD_PT10__JIS1604}, \
	{ 106, RTD_PT10__MIL24388}, \
	{ 129, VOLTAGE_MINUS_125_TO_125_MV}, \
	{ 130, VOLTAGE_MINUS_125_TO_1200_MV}, \
	{ 131, TC_TYPE_B_IEC584}, \
	{ 132, TC_TYPE_C_ASTME988}, \
	{ 133, TC_TYPE_D_ASTME988}, \
	{ 134, TC_TYPE_E_IEC584}, \
	{ 136, TC_TYPE_J_IEC584}, \
	{ 137, TC_TYPE_K_IEC584}, \
	{ 138, TC_TYPE_N_IEC584}, \
	{ 139, TC_TYPE_R_IEC584}, \
	{ 140, TC_TYPE_S_IEC584}, \
	{ 141, TC_TYPE_T_IEC584}, \
	{ 142, TC_Type_L_DIN43710}, \
	{ 143, TC_Type_U_DIN43710}, \
	{ 3, RTD_CAL_VAN_DUSEN_1}, \
	{ 240, RTD_CAL_VAN_DUSEN_2}, \
	{ 241, RTD_CAL_VAN_DUSEN_3}, \
	{ 242, RTD_CAL_VAN_DUSEN_4}, \
	{ 243, RTD_CAL_VAN_DUSEN_5}, \
	{ 244, TYPE_FIX_POINT_1}, \
	{ 245, TYPE_FIX_POINT_2}, \
	{ 246, TYPE_FIX_POINT_3}, \
	{ 247, TYPE_FIX_POINT_4}, \
	{ 248, TYPE_FIX_POINT_5}


#define ALL_SENSORS2 \
	{ 1, RTD_0_500_OHM}, \
	{ 2, RTD_0_5000_OHM}, \
	{ 11, RTD_PT50__IEC751}, \
	{ 12, RTD_PT100__IEC751}, \
	{ 13, RTD_PT200__IEC751}, \
	{ 14, RTD_PT500__IEC751}, \
	{ 15, RTD_PT1000__IEC751}, \
	{ 21, RTD_PT50__JIS1604}, \
	{ 22, RTD_PT100__JIS1604}, \
	{ 31, RTD_PT50__MIL24388}, \
	{ 32, RTD_PT100__MIL24388}, \
	{ 33, RTD_PT200__MIL24388}, \
	{ 35, RTD_PT1000__MIL24388}, \
	{ 71, RTD_NI50__DIN43760}, \
	{ 72, RTD_NI100__DIN43760}, \
	{ 73, RTD_NI120__DIN43760}, \
	{ 74, RTD_NI1000__DIN43760}, \
	{ 81, RTD_CU10__A_4270}, \
	{ 82, RTD_CU100__A_4270}, \
	{ 100, RTD_PT10__IEC751}, \
	{ 103, RTD_PT10__JIS1604}, \
	{ 106, RTD_PT10__MIL24388}, \
	{ 129, VOLTAGE_MINUS_125_TO_125_MV}, \
	{ 130, VOLTAGE_MINUS_125_TO_1200_MV}, \
	{ 131, TC_TYPE_B_IEC584}, \
	{ 132, TC_TYPE_C_ASTME988}, \
	{ 133, TC_TYPE_D_ASTME988}, \
	{ 134, TC_TYPE_E_IEC584}, \
	{ 136, TC_TYPE_J_IEC584}, \
	{ 137, TC_TYPE_K_IEC584}, \
	{ 138, TC_TYPE_N_IEC584}, \
	{ 139, TC_TYPE_R_IEC584}, \
	{ 140, TC_TYPE_S_IEC584}, \
	{ 141, TC_TYPE_T_IEC584}, \
	{ 142, TC_Type_L_DIN43710}, \
	{ 143, TC_Type_U_DIN43710}, \
	{ 3, RTD_CAL_VAN_DUSEN_1}, \
	{ 240, RTD_CAL_VAN_DUSEN_2}, \
	{ 241, RTD_CAL_VAN_DUSEN_3}, \
	{ 242, RTD_CAL_VAN_DUSEN_4}, \
	{ 243, RTD_CAL_VAN_DUSEN_5}, \
	{ 244, TYPE_FIX_POINT_1}, \
	{ 245, TYPE_FIX_POINT_2}, \
	{ 246, TYPE_FIX_POINT_3}, \
	{ 247, TYPE_FIX_POINT_4}, \
	{ 248, TYPE_FIX_POINT_5}, \
	{ 251, SENSOR_TYPE_OFF_item}

#define ALL_PROCESS_DATA_STATUS \
        {0 , process_data_status(0)},\
        {1 , process_data_status(1)},\
        {2 , process_data_status(2)},\
        {3 , process_data_status(3)}


#define ALL_TTX_UNITS \
       { 32, "C"},\
        { 33, "F"},\
        { 34, "R"},\
        { 35,  "K"},\
        UNITS_CODE(36),    /* Millivolts   */  \
        UNITS_CODE(58)     /* Volts         */  \
        UNITS_CODE(37),    /* Ohms         */  \
        UNITS_CODE(163)     /* Kiloohms */  \
        UNITS_CODE(39),    /* Milliamperes */  \
        UNITS_CODE(250),   /* Not used     */  \
        UNITS_CODE(252)   /* Unknown       */
              
             

#define INVALID_UNITS_DUE_TO_INVALID_DEVICE_VARAIABLES \
        {32,   INVALID_UNIT_DEV_VAR_item,INVALID_UNIT_DEV_VAR_item_help}, /* degrees C    */  \
        {33,   INVALID_UNIT_DEV_VAR_item,INVALID_UNIT_DEV_VAR_item_help},  /* degrees F    */  \
        {34,   INVALID_UNIT_DEV_VAR_item,INVALID_UNIT_DEV_VAR_item_help}, /* degrees R    */  \
        {35,   INVALID_UNIT_DEV_VAR_item,INVALID_UNIT_DEV_VAR_item_help}, /* Kelvin       */  \
        {36,   INVALID_UNIT_DEV_VAR_item,INVALID_UNIT_DEV_VAR_item_help}, /* Millivolts   */  \
        {37,   INVALID_UNIT_DEV_VAR_item,INVALID_UNIT_DEV_VAR_item_help}, /* Ohms         */  \
        {39,  INVALID_UNIT_DEV_VAR_item,INVALID_UNIT_DEV_VAR_item_help},  /* Milliamperes */  \
        {58,  INVALID_UNIT_DEV_VAR_item,INVALID_UNIT_DEV_VAR_item_help},   /* Volts        */  \
        {163, INVALID_UNIT_DEV_VAR_item,INVALID_UNIT_DEV_VAR_item_help},   /* Kiloohms     */  \
        {250, INVALID_UNIT_DEV_VAR_item,INVALID_UNIT_DEV_VAR_item_help},  /* Not used     */  \
        {251, INVALID_UNIT_DEV_VAR_item,INVALID_UNIT_DEV_VAR_item_help},  /* Not used     */  \
        {252, INVALID_UNIT_DEV_VAR_item,INVALID_UNIT_DEV_VAR_item_help}  /* Not used     */  \

 
#define TTX_mV_V_UNITS \
        UNITS_CODE(36),    /* Millivolts    */  \
        UNITS_CODE(58)     /* Volts         */  \

#define TTX_OHMS_KILOOHMS_UNITS \
        UNITS_CODE(37),    /* Ohms      */  \
        UNITS_CODE(163)     /* Kiloohms */  \


#define TTX_TEMPERATURE_UNITS \
        { 32, "C"},\
        { 33, "F"},\
        { 34, "R"},\
        { 35,  "K"}


// Engineering Input Units for Fix point curves
#define INPUT_ENGINEERING_UNITS \
        UNITS_CODE(36),    /* Millivolts   */ \
        UNITS_CODE(37)     /* Ohms */  \


// Engineering Output Units for Fix point curves
#define OUTPUT_ENGINEERING_UNITS \
        UNITS_CODE(32),    /* degrees C    */  \
        UNITS_CODE(33),    /* degrees F    */  \
        UNITS_CODE(34),    /* degrees R    */  \
        UNITS_CODE(35),     /* Kelvin       */  \
        UNITS_CODE(36),    /* Millivolts    */  \
        UNITS_CODE(37),    /* Ohms      */  \
        UNITS_CODE(58),     /* Volts         */  \
        UNITS_CODE(163)     /* Kiloohms */  \


/*Fix point tables*/

#define ALL_FIXPOINT_INPUT_UNITS \
	{ 36, FIXPOINT_INPUT_UNIT_MV}, \
	{ 37,  FIXPOINT_INPUT_UNIT_OHM}
	

#define ALL_FIXPOINT_OUTPUT_UNITS \
	{ 32, FIXPOINT_OUTPUT_UNIT_DEG_C}, \
	{ 33, FIXPOINT_OUTPUT_UNIT_DEG_F}, \
	{ 34, FIXPOINT_OUTPUT_UNIT_DEG_R}, \
	{ 35, FIXPOINT_OUTPUT_UNIT_KELVIN} 


/*-----------------------Diagnosis device specific status------------------------*/

 #define BITENUM_device_specific_status_0 \
                { 0x01, CONFIG_PARA_ERR},\
                { 0x02, "Undefined"},\
                { 0x04, "Undefined"},\
                { 0x08, "Undefined"},\
                { 0x10, "Undefined"},\
                { 0x20, "Undefined"},\
                { 0x40, "Undefined"},\
                { 0x80, APP_FAILURE}   
                   
 #define BITENUM_device_specific_status_1 \
                { 0x01, DIAG_SIM_ACTIVE},\
                { 0x02, "Undefined"},\
                { 0x04, AO_SIM_ACTIVE},\
                { 0x08, WARNING_APPLN},\
                { 0x10, PV_HI_HI_LMT},\
                { 0x20, PV_LO_LO_LMT},\
                { 0x40, PV_HI_LMT},\
                { 0x80, PV_LO_LMT}
                
 #define BITENUM_device_specific_status_2 \
                { 0x01,"Undefined"},\
                { 0x02, RES_TOO_HI_SNSR1, HARDWARE },\
                { 0x04, SHRT_CKT_SNSR1, HARDWARE },\
                { 0x08, WIRE_BRK_SNSR1, HARDWARE },\
                { 0x10, RANGE_OVRRUN_SNSR1, HARDWARE },\
                { 0x20, RANGE_UNDERRUN_SNSR1, HARDWARE },\
                { 0x40, "Undefined"},\
                { 0x80, "Undefined"}
                
 #define BITENUM_device_specific_status_3 \
                { 0x01, ONE_POINT_TRIM_SNSR1},\
                { 0x02, TWO_POINT_TRIM_SNSR1},\
                { 0x04, "Undefined"},\
                { 0x08, "Undefined"},\
                { 0x10, "Undefined"},\
                { 0x20, "Undefined"},\
                { 0x40, "Undefined"},\
                { 0x80, "Undefined"}
                
 #define BITENUM_device_specific_status_4 \
                { 0x01, "Undefined"},\
                { 0x02, "Undefined"},\
                { 0x04, "Undefined"},\
                { 0x08, "Undefined"},\
                { 0x10, "Undefined"},\
                { 0x20, "Undefined"},\
                { 0x40, "Undefined"},\
                { 0x80, "Undefined"}
                
#define BITENUM_device_specific_status_5 \
                { 0x01, "Undefined"},\
                { 0x02, "Undefined"},\
                { 0x04, "Undefined"},\
                { 0x08, "Undefined"},\
                { 0x10, "Undefined"},\
                { 0x20, "Undefined"},\
                { 0x40, "Undefined"},\
                { 0x80, "Undefined"}
                
#define BITENUM_device_specific_status_14 \
                { 0x01, TEMP_MEAS_FAIL},\
                { 0x02, DEV_TEMP_OOS_FAIL},\
                { 0x04, EEPROM_DEF},\
                { 0x08, EEPROM_RWCYC_EX},\
                { 0x10, EEPROM_DATA_DEFECT},\
                { 0x20, "Undefined"},\
                { 0x40, HMI_NC},\
                { 0x80, DEV_READ_ONLY}
        
#define BITENUM_device_specific_status_15 \
                { 0x01, "Undefined"},\
                { 0x02, "Undefined"},\
                { 0x04, "Undefined"},\
                { 0x08, "Undefined"},\
                { 0x10, "Undefined"},\
                { 0x20, SNSR_BRD_ADC_FLR},\
                { 0x40, "Undefined"},\
                { 0x80, "Undefined"}

#define BITENUM_device_specific_status_16 \
                { 0x01, "Reserved",IGNORE_IN_HANDHELD },\
                { 0x02, "Reserved",IGNORE_IN_HANDHELD },\
                { 0x04, "Reserved",IGNORE_IN_HANDHELD },\
                { 0x08, "Reserved",IGNORE_IN_HANDHELD },\
                { 0x10, "Reserved",IGNORE_IN_HANDHELD },\
                { 0x20, "Reserved",IGNORE_IN_HANDHELD },\
                { 0x40, "Reserved",IGNORE_IN_HANDHELD },\
                { 0x80, "Reserved",IGNORE_IN_HANDHELD }
                
#define BITENUM_device_specific_status_17 \
                { 0x01, "Reserved",IGNORE_IN_HANDHELD },\
                { 0x02, "Reserved",IGNORE_IN_HANDHELD },\
                { 0x04, "Reserved",IGNORE_IN_HANDHELD },\
                { 0x08, "Reserved",IGNORE_IN_HANDHELD },\
                { 0x10, "Reserved",IGNORE_IN_HANDHELD },\
                { 0x20, "Reserved",IGNORE_IN_HANDHELD },\
                { 0x40, "Reserved",IGNORE_IN_HANDHELD },\
                { 0x80, "Reserved",IGNORE_IN_HANDHELD }
                
#define BITENUM_device_specific_status_18 \
                { 0x01, "OK","",MISC },\
                { 0x02, "Function Check","",MISC },\
                { 0x04, "Out of Specification","",MISC },\
                { 0x08, "Maintenance Required","",MISC },\
                { 0x10, "Failure","",MISC },\
                { 0x20, "Reserved",IGNORE_IN_HANDHELD },\
                { 0x40, "Reserved",IGNORE_IN_HANDHELD },\
                { 0x80, "Reserved",IGNORE_IN_HANDHELD }
  
#define all_selections\
{0,DEV_VAR_SENSOR_1_label},\
{1,DEV_VAR_ELEC_SENSOR_1_label},\
{2,DEV_VAR_EL_TEMP_label},\
{5,DEV_VAR_SENSOR_2_label},\
{6,DEV_VAR_ELEC_SENSOR_2_label},\
{8,DEV_VAR_DIFF_SNSR_1_TO_SNSR_2_label},\
{3,DEV_VAR_DIFF_SNSR_2_TO_SNSR_1_label},\
{4,DEV_VAR_AVERAGE_MEASUREMENT_label},\
{7,DEV_VAR_REDUNDANT_AVG_MEASUREMENT_label}

#define s2_off_selections\
{0,DEV_VAR_SENSOR_1_label},\
{1,DEV_VAR_ELEC_SENSOR_1_label},\
{2,DEV_VAR_EL_TEMP_label}

#define snsr_uneq_selections\
{0,DEV_VAR_SENSOR_1_label},\
{1,DEV_VAR_ELEC_SENSOR_1_label},\
{2,DEV_VAR_EL_TEMP_label},\
{5,DEV_VAR_SENSOR_2_label},\
{6,DEV_VAR_ELEC_SENSOR_2_label}

#define BITENUM_FIELD_MASK_CFG_MONITOR_GROUP \
                {0x01, CFG_MON_PARAM_GRP_SENSOR_CFG_LABEL, CFG_MON_PARAM_GRP_SENSOR_CFG_HELP}, \
                {0x02, CFG_MON_PARAM_GRP_SENSOR_RANGE_LABEL, CFG_MON_PARAM_GRP_SENSOR_RANGE_HELP}, \
                {0x04, CFG_MON_PARAM_GRP_NAMUR_CFG_LABEL, CFG_MON_PARAM_GRP_NAMUR_CFG_HELP}, \
                {0x08, CFG_MON_PARAM_GRP_SENSOR_LIMITS_LABEL, CFG_MON_PARAM_GRP_SENSOR_LIMITS_HELP}, \
                {0x10, CFG_MON_PARAM_GRP_DEVICE_VAR_CFG_LABEL, CFG_MON_PARAM_GRP_DEVICE_VAR_CFG_HELP}, \
                {0x20, CFG_MON_PARAM_GRP_RESTART_DEVICE_LABEL, CFG_MON_PARAM_GRP_RESTART_DEVICE_HELP}, \
                {0x40, " ", " "}, \
                {0x80, " ", " "}
                
#define ENUM_FIELD_CFG_MONITOR_GROUP \
                { 0, no_entry_label, no_entry_label}, \
                { 1, CFG_MON_PARAM_GRP_SENSOR_CFG_LABEL, CFG_MON_PARAM_GRP_SENSOR_CFG_HELP}, \
                { 2, CFG_MON_PARAM_GRP_SENSOR_RANGE_LABEL, CFG_MON_PARAM_GRP_SENSOR_RANGE_HELP}, \
                { 4, CFG_MON_PARAM_GRP_NAMUR_CFG_LABEL, CFG_MON_PARAM_GRP_NAMUR_CFG_HELP}, \
                { 8, CFG_MON_PARAM_GRP_SENSOR_LIMITS_LABEL, CFG_MON_PARAM_GRP_SENSOR_LIMITS_HELP}, \
                { 16, CFG_MON_PARAM_GRP_DEVICE_VAR_CFG_LABEL, CFG_MON_PARAM_GRP_DEVICE_VAR_CFG_HELP}, \
                { 32, CFG_MON_PARAM_GRP_RESTART_DEVICE_LABEL, CFG_MON_PARAM_GRP_RESTART_DEVICE_HELP}, \
                { 64, " ", " "}, \
                { 128, " ", " "}
                
#define BITENUM_FIELD_MASK_EVENT_MONITOR_ITEMS \
                { 0x0001, DIAG_SER_ELECTEMP_OUTOFSPEC_Mask_label, DIAG_SER_ELECTEMP_OUTOFSPEC_help}, \
                { 0x0002, DIAG_SER_ELECTEMP_TO_HIGH_Mask_label, DIAG_SER_ELECTEMP_TO_HIGH_help }, \
                { 0x0004, DIAG_SER_ELECTEMP_TO_LOW_Mask_label, DIAG_SER_ELECTEMP_TO_LOW_help}, \
                { 0x0008, DIAG_SER_PV_HI_HI_LIMIT_BIT_Mask_label, DIAG_SER_PV_HI_HI_LIMIT_BIT_help}, \
                { 0x0010, DIAG_SER_PV_HI_LIMIT_BIT_Mask_label , DIAG_SER_PV_HI_LIMIT_BIT_help}, \
                { 0x0020, DIAG_SER_PV_LO_LO_LIMIT_BIT_Mask_label ,DIAG_SER_PV_LO_LO_LIMIT_BIT_help }, \
                { 0x0040, DIAG_SER_PV_LO_LIMIT_BIT_Mask_label, DIAG_SER_PV_LO_LIMIT_BIT_help}, \
                { 0x0080, " " ," " }, \
                { 0x0100, DIAG_SER_ELECTEMP_OUTOFSPEC_Mask_label, DIAG_SER_ELECTEMP_OUTOFSPEC_help}, \
                { 0x0200, DIAG_SER_ELECTEMP_TO_HIGH_Mask_label, DIAG_SER_ELECTEMP_TO_HIGH_help}, \
                { 0x0400, DIAG_SER_ELECTEMP_TO_LOW_Mask_label, DIAG_SER_ELECTEMP_TO_LOW_help}, \
                { 0x0800, DIAG_SER_PV_HI_HI_LIMIT_BIT_Mask_label, DIAG_SER_PV_HI_HI_LIMIT_BIT_help}, \
                { 0x1000, DIAG_SER_PV_HI_LIMIT_BIT_Mask_label, DIAG_SER_PV_HI_LIMIT_BIT_help}, \
                { 0x2000, DIAG_SER_PV_LO_LO_LIMIT_BIT_Mask_label, DIAG_SER_PV_LO_LO_LIMIT_BIT_help}, \
                { 0x4000, DIAG_SER_PV_LO_LIMIT_BIT_Mask_label, DIAG_SER_PV_LO_LIMIT_BIT_help }, \
                { 0x8000, " " ," " }
                
                
#define ENUM_FIELD_EVENT_MONITOR_ITEMS \
                { 0, no_entry_label, no_entry_label}, \
                { 1, DIAG_SER_ELECTEMP_OUTOFSPEC_label, DIAG_SER_ELECTEMP_OUTOFSPEC_help}, \
                { 2, DIAG_SER_ELECTEMP_TO_HIGH_label,DIAG_SER_ELECTEMP_TO_HIGH_help }, \
                { 4, DIAG_SER_ELECTEMP_TO_LOW_label, DIAG_SER_ELECTEMP_TO_LOW_help}, \
                { 8, DIAG_SER_PV_HI_HI_LIMIT_BIT_label, DIAG_SER_PV_HI_HI_LIMIT_BIT_help}, \
                { 16,DIAG_SER_PV_HI_LIMIT_BIT_label , DIAG_SER_PV_HI_LIMIT_BIT_help}, \
                { 32,DIAG_SER_PV_LO_LO_LIMIT_BIT_label ,DIAG_SER_PV_LO_LO_LIMIT_BIT_help }, \
                { 64,DIAG_SER_PV_LO_LIMIT_BIT_label, DIAG_SER_PV_LO_LIMIT_BIT_help}, \
                { 128," " ," " }, \
                { 256,DIAG_SER_CLEAR_ELEC_OF_SPEC_label , DIAG_SER_ELECTEMP_OUTOFSPEC_help}, \
                { 512,DIAG_SER_CLEAR_ELECTEMP_TO_HIGH_label , DIAG_SER_ELECTEMP_TO_HIGH_help}, \
                { 1024,DIAG_SER_CLEAR_ELECTEMP_TO_LOW_label , DIAG_SER_ELECTEMP_TO_LOW_help}, \
                { 2048, DIAG_SER_CLEAR_PV_HI_HI_LIMIT_BIT_label, DIAG_SER_PV_HI_HI_LIMIT_BIT_help}, \
                { 4096, DIAG_SER_CLEAR_PV_HI_LIMIT_BIT_label, DIAG_SER_PV_HI_LIMIT_BIT_help}, \
                { 8192, DIAG_SER_CLEAR_PV_LO_LO_LIMIT_BIT_label, DIAG_SER_PV_LO_LO_LIMIT_BIT_help}, \
                { 16384, DIAG_SER_CLEAR_PV_LO_LIMIT_BIT_label, DIAG_SER_PV_LO_LIMIT_BIT_help}, \
                { 32768, " ", " "}
 
#define HMI_Main_Operator_View_enum\
{0,"|en|Primary Variable|de|Prozesswert"},\
{1,"|en|Sensor 1|de|Sensor 1"},\
{3,"|en|Electrical Sensor 1|de|Elektrischer Eingang Sensor 1"},\
{9,"|en|Electronics Temperature|de|Elektronik Temperatur"},\
{10,"|en|PV Output Current|de|Stomausgang PW"},\
{11,"|en|PV Output Percent of Range|de|PW Stromausgang Prozent"}

#define HMI_Language_enum\
{0,"|en|English|de|Englisch"},\
{1,"|en|German|de|Deutsch"}

#define HMI_Local_Operation_enum\
{0,"|en|Disabled|de|Deaktiviert"},\
{1,"|en|Enabled|de|Aktiviert"}

#define HMI_Display_Mode_enum\
{3,DISPLAY_MODE_1x6_A},\
{6,DISPLAY_MODE_1x6_BAR_B},\
{9,DISPLAY_MODE_2x9},\
{10,DISPLAY_MODE_2x9_BAR_B}               

#define EmcFilterSettings_enum\
{1,emc_low},\
{2,emc_med},\
{3,emc_hi}

