
#define IS_FIX_POINT_CURVE(sensor_type) \
	(   ( 244 == sensor_type ) \
	||  ( 245 == sensor_type ) \
	||  ( 246 == sensor_type ) \
	||  ( 247 == sensor_type ) \
	||  ( 248 == sensor_type ) )

#define IS_RTD_NO_FIX_POINT(sensor_type) \
	(    ( 3 == sensor_type ) \
	||  ( 11 == sensor_type ) \
	||  ( 12 == sensor_type ) \
	||  ( 13 == sensor_type ) \
	||  ( 14 == sensor_type ) \
	||  ( 15 == sensor_type ) \
	||  ( 21 == sensor_type ) \
	||  ( 22 == sensor_type ) \
	||  ( 31 == sensor_type ) \
	||  ( 32 == sensor_type ) \
	||  ( 33 == sensor_type ) \
	||  ( 35 == sensor_type ) \
	||  ( 71 == sensor_type ) \
	||  ( 72 == sensor_type ) \
	||  ( 73 == sensor_type ) \
	||  ( 74 == sensor_type ) \
	||  ( 81 == sensor_type ) \
	||  ( 82 == sensor_type ) \
	||  ( 100 == sensor_type ) \
	||  ( 103 == sensor_type ) \
	||  ( 106 == sensor_type ) \
	||  ( 240 == sensor_type ) \
	||  ( 241 == sensor_type ) \
	||  ( 242 == sensor_type ) \
	||  ( 243 == sensor_type ) )

#define IS_TC_NO_FIX_POINT(sensor_type) \
	(    ( 131 == sensor_type ) \
	||  ( 132 == sensor_type ) \
	||  ( 133 == sensor_type ) \
	||  ( 134 == sensor_type ) \
	||  ( 136 == sensor_type ) \
	||  ( 137 == sensor_type ) \
	||  ( 138 == sensor_type ) \
	||  ( 139 == sensor_type ) \
	||  ( 140 == sensor_type ) \
	||  ( 141 == sensor_type ) \
	||  ( 142 == sensor_type ) \
	||  ( 143 == sensor_type ) )

// Resistor measurements 0 .. 500 Ohm or 0 .. 5000 Ohm or none Fixpoint RTD Resistor temperature sensors 
#define IS_RESISTOR_NO_FIXPOINT(sensor_type) \
	(    ( 1 == sensor_type ) \
	||  ( 2 == sensor_type ) \
	||  ( 3 == sensor_type ) \
	||  ( 11 == sensor_type ) \
	||  ( 12 == sensor_type ) \
	||  ( 13 == sensor_type ) \
	||  ( 14 == sensor_type ) \
	||  ( 15 == sensor_type ) \
	||  ( 21 == sensor_type ) \
	||  ( 22 == sensor_type ) \
	||  ( 31 == sensor_type ) \
	||  ( 32 == sensor_type ) \
	||  ( 33 == sensor_type ) \
	||  ( 35 == sensor_type ) \
	||  ( 71 == sensor_type ) \
	||  ( 72 == sensor_type ) \
	||  ( 73 == sensor_type ) \
	||  ( 74 == sensor_type ) \
	||  ( 81 == sensor_type ) \
	||  ( 82 == sensor_type ) \
	||  ( 100 == sensor_type ) \
	||  ( 103 == sensor_type ) \
	||  ( 106 == sensor_type ) \
	||  ( 240 == sensor_type ) \
	||  ( 241 == sensor_type ) \
	||  ( 242 == sensor_type ) \
	||  ( 243 == sensor_type ) )

//not one of following sensor type 
//{ 1, RTD_0_500_OHM},{ 2, RTD_0_5000_OHM},{129, VOLTAGE_MINUS_125_TO_125_MV},{130, VOLTAGE_MINUS_125_TO_1200_MV}
#define IS_TEMPERATURE(sensor_type) \
	(   ( 3 == sensor_type ) \
	||  ( 11 == sensor_type ) \
	||  ( 12 == sensor_type ) \
	||  ( 13 == sensor_type ) \
	||  ( 14 == sensor_type ) \
	||  ( 15 == sensor_type ) \
	||  ( 21 == sensor_type ) \
	||  ( 22 == sensor_type ) \
	||  ( 31 == sensor_type ) \
	||  ( 32 == sensor_type ) \
	||  ( 33 == sensor_type ) \
	||  ( 35 == sensor_type ) \
	||  ( 71 == sensor_type ) \
	||  ( 72 == sensor_type ) \
	||  ( 73 == sensor_type ) \
	||  ( 74 == sensor_type ) \
	||  ( 81 == sensor_type ) \
	||  ( 82 == sensor_type ) \
	||  ( 100 == sensor_type ) \
	||  ( 103 == sensor_type ) \
	||  ( 106 == sensor_type ) \
	||  ( 131 == sensor_type ) \
	||  ( 132 == sensor_type ) \
	||  ( 133 == sensor_type ) \
	||  ( 134 == sensor_type ) \
	||  ( 136 == sensor_type ) \
	||  ( 137 == sensor_type ) \
	||  ( 138 == sensor_type ) \
	||  ( 139 == sensor_type ) \
	||  ( 140 == sensor_type ) \
	||  ( 141 == sensor_type ) \
	||  ( 142 == sensor_type ) \
	||  ( 143 == sensor_type ) \
	||  ( 240 == sensor_type ) \
	||  ( 241 == sensor_type ) \
	||  ( 242 == sensor_type ) \
	||  ( 243 == sensor_type ) \
	||  ( 244 == sensor_type ) \
	||  ( 245 == sensor_type ) \
	||  ( 246 == sensor_type ) \
	||  ( 247 == sensor_type ) \
	||  ( 248 == sensor_type ) )

#define IS_BOTH_SENSOR_GROUP_EQUAL(sensortype1,sensortype2) \
	(    (IS_TEMPERATURE(sensortype1) && IS_TEMPERATURE(sensortype2)) \
	  || (   ( (1 == sensortype1) || (2 == sensortype1)) \
          && (( 1 == sensortype2 || 2 == sensortype2 ))) \
      ||  (   ( (129 == sensortype1) || (130 == sensortype1)) \
          && ((129 == sensortype2) || (130 == sensortype2) )))

/* Default values for all 5 Callendar-van Dusen Coefficients Sets */ 
#define DEFAULT_CVD_A 0.003908
#define DEFAULT_CVD_B -0.0000005775
#define DEFAULT_CVD_C -0.000000000004183
#define DEFAULT_R0 100.00

// Default Values for Fix point curves in TTX300 HART 
//   20.0 ,-196.57 , 30.0 ,-173.15 , 42.0 ,-144.52 , 54.0 ,-115.38 , 66.0 ,-85.79 , 78.0 ,-55.80 , 90.0 ,-25.48 , 102.0 ,  5.12 , 114.0 , 36.02 , 126.0 , 67.20
//, 138.0 ,  98.67 ,150.0 , 130.45 ,162.0 , 162.54 ,174.0 , 194.95 ,186.0 ,227.70 ,198.0 ,260.79 ,210.0 ,294.24 , 222.0 ,328.06 , 234.0 ,362.26 , 246.0 ,396.84
//, 258.0 , 431.83 ,270.0 , 467.23 ,282.0 , 503.08 ,294.0 , 539.37 ,306.0 ,576.13 ,318.0 ,613.37 ,330.0 ,651.13 , 342.0 ,689.42 , 354.0 ,728.27 , 366.0 ,767.69
//, 378.0 , 807.71 ,390.0  ,848.36
#define DEFAULT_FIX_POINT_X0 20.0
#define DEFAULT_FIX_POINT_Y0 -196.57

#define DEFAULT_FIX_POINT_X1 30.0
#define DEFAULT_FIX_POINT_Y1 -173.15

#define DEFAULT_FIX_POINT_X2 42.0
#define DEFAULT_FIX_POINT_Y2 -144.52

#define DEFAULT_FIX_POINT_X3 54.0
#define DEFAULT_FIX_POINT_Y3 -115.38

#define DEFAULT_FIX_POINT_X4 66.0
#define DEFAULT_FIX_POINT_Y4 -85.79

#define DEFAULT_FIX_POINT_X5 78.0
#define DEFAULT_FIX_POINT_Y5 -55.80

#define DEFAULT_FIX_POINT_X6 90.0
#define DEFAULT_FIX_POINT_Y6 -25.48

#define DEFAULT_FIX_POINT_X7 102.0
#define DEFAULT_FIX_POINT_Y7 5.12

#define DEFAULT_FIX_POINT_X8 114.0
#define DEFAULT_FIX_POINT_Y8 36.02

#define DEFAULT_FIX_POINT_X9 126.0
#define DEFAULT_FIX_POINT_Y9 67.20

#define DEFAULT_FIX_POINT_X10 138.0
#define DEFAULT_FIX_POINT_Y10 98.67

#define DEFAULT_FIX_POINT_X11 150.0
#define DEFAULT_FIX_POINT_Y11 130.45

#define DEFAULT_FIX_POINT_X12 162.0
#define DEFAULT_FIX_POINT_Y12 162.54

#define DEFAULT_FIX_POINT_X13 174.0
#define DEFAULT_FIX_POINT_Y13 194.95

#define DEFAULT_FIX_POINT_X14 186.0
#define DEFAULT_FIX_POINT_Y14 227.70

#define DEFAULT_FIX_POINT_X15 198.0
#define DEFAULT_FIX_POINT_Y15 260.79

#define DEFAULT_FIX_POINT_X16 210.0
#define DEFAULT_FIX_POINT_Y16 294.24

#define DEFAULT_FIX_POINT_X17 222.0
#define DEFAULT_FIX_POINT_Y17 328.06

#define DEFAULT_FIX_POINT_X18 234.0
#define DEFAULT_FIX_POINT_Y18 362.26

#define DEFAULT_FIX_POINT_X19 246.0
#define DEFAULT_FIX_POINT_Y19 396.84

#define DEFAULT_FIX_POINT_X20 258.0
#define DEFAULT_FIX_POINT_Y20 431.83

#define DEFAULT_FIX_POINT_X21 270.0
#define DEFAULT_FIX_POINT_Y21 467.23

#define DEFAULT_FIX_POINT_X22 282.0
#define DEFAULT_FIX_POINT_Y22 503.08

#define DEFAULT_FIX_POINT_X23 294.0
#define DEFAULT_FIX_POINT_Y23 539.37

#define DEFAULT_FIX_POINT_X24 306.0
#define DEFAULT_FIX_POINT_Y24 576.13

#define DEFAULT_FIX_POINT_X25 318.0
#define DEFAULT_FIX_POINT_Y25 613.37

#define DEFAULT_FIX_POINT_X26 330.0
#define DEFAULT_FIX_POINT_Y26 651.13

#define DEFAULT_FIX_POINT_X27 342.0
#define DEFAULT_FIX_POINT_Y27 689.42

#define DEFAULT_FIX_POINT_X28 354.0
#define DEFAULT_FIX_POINT_Y28 728.27

#define DEFAULT_FIX_POINT_X29 366.0
#define DEFAULT_FIX_POINT_Y29 767.69

#define DEFAULT_FIX_POINT_X30 378.0
#define DEFAULT_FIX_POINT_Y30 807.71

#define DEFAULT_FIX_POINT_X31 390.0
#define DEFAULT_FIX_POINT_Y31 848.36

//---------------------------------------------------------------------
// 
// Constant Codes for Device Variables

#define DEV_VAR_CODE_SENSOR_1 0
#define DEV_VAR_CODE_S1_ELEC 1
#define DEV_VAR_CODE_EL_TEMP 2
#define DEV_VAR_CODE_DIFF_S2_S1 3
#define DEV_VAR_CODE_AVG_S1_S2 4
#define DEV_VAR_CODE_SENSOR_2 5
#define DEV_VAR_CODE_S2_ELEC 6
#define DEV_VAR_CODE_RED_S1_S2 7
#define DEV_VAR_CODE_DIFF_S1_S2 8

#define MIN_VAL_CJC_TEMP_DEG_C -50.0
#define MIN_VAL_CJC_TEMP_DEG_F -58.0
#define MIN_VAL_CJC_TEMP_DEG_R 401.67
#define MIN_VAL_CJC_TEMP_KELVIN 223.15



#define MAX_VAL_CJC_TEMP_DEG_C 100.0
#define MAX_VAL_CJC_TEMP_DEG_F 212.0
#define MAX_VAL_CJC_TEMP_DEG_R 671.67
#define MAX_VAL_CJC_TEMP_KELVIN 373.15


#define DEFAULT_VAL_CJC_TEMP_DEG_C 20.0
#define DEFAULT_VAL_CJC_TEMP_DEG_F 68.0
#define DEFAULT_VAL_CJC_TEMP_DEG_R 527.67
#define DEFAULT_VAL_CJC_TEMP_KELVIN 293.15


#define DEFAULT_LWR_RANGE_VAL_TC_RTD_DEG_C 0.0
#define DEFAULT_LWR_RANGE_VAL_TC_RTD_DEG_F 32.0
#define DEFAULT_LWR_RANGE_VAL_TC_RTD_DEG_R 491.67
#define DEFAULT_LWR_RANGE_VAL_TC_RTD_KELVIN 273.15


#define DEFAULT_VAL_UPR_RANGE_VAL_RTD_DEG_C 100.0
#define DEFAULT_VAL_UPR_RANGE_VAL_TC_DEG_C 800.0  // avoid conflict with default settings of Fixpoint Curves 848 C

#define DEFAULT_VAL_UPR_RANGE_VAL_RTD_DEG_F 212.0
#define DEFAULT_VAL_UPR_RANGE_VAL_TC_DEG_F 1472.0

#define DEFAULT_VAL_UPR_RANGE_VAL_RTD_DEG_R 671.67
#define DEFAULT_VAL_UPR_RANGE_VAL_TC_DEG_R 1931.67

#define DEFAULT_VAL_UPR_RANGE_VAL_RTD_KELVIN 373.15
#define DEFAULT_VAL_UPR_RANGE_VAL_TC_KELVIN 1073.15


#define DEFAULT_VAL_LWR_RANGE_500_5000_OHMS 0.0
#define DEFAULT_VAL_LWR_RANGE_125_1100_mV 0.0


#define DEFAULT_VAL_UPR_RANGE_500_OHMS 500.0
#define DEFAULT_VAL_UPR_RANGE_5000_OHMS 5000.0

#define DEFAULT_VAL_UPR_RANGE_500_OHMS_KOHMS 0.5
#define DEFAULT_VAL_UPR_RANGE_5000_OHMS_KOHMS 5.0

#define DEFAULT_VAL_UPR_RANGE_125_mV 100.0
#define DEFAULT_VAL_UPR_RANGE_1100_mV 1000.0

#define DEFAULT_VAL_UPR_RANGE_125_mV_VOLT 0.1
#define DEFAULT_VAL_UPR_RANGE_1100_mV_VOLT 1.0



#define DEFAULT_RTD_TEMPERATURE_SENS_WIRE_NBR 3
#define DEFAULT_RTD_RESISTOR_ELEMENT_WIRE_NBR 3

#define TC_CJC_TYPE_INTERNAL 1
#define TC_CJC_TYPE_EXTERNAL_FIXED 3



/* Constants for Variable sensor1_probe_type_group_prev */

#define GROUP_RTD_RESISTOR_TEMPERATURE_SENSORS_00 0
#define GROUP_TC_TEMPERATURE_MEASUREMENT_01 1
#define GROUP_RESISTOR_MEASUREMENT_02 2
#define GROUP_VOLTAGE_MEASUREMENT_03 3
#define GROUP_SENSOR_OFF_04 4

#define DEV_VAR_ONLY_SENSOR_1_00 0
//#define DEV_VAR_S1_S2_DIFF_GROUP_01 1
#define DEV_VAR_ALL_02 2
